### Enumeration

# AppStream DataIdMatchFlags

#### Declaration

    flags AppStream.DataIdMatchFlags

#### Description [src]

The flags used when matching unique IDs.

#### Members

`AS_DATA_ID_MATCH_FLAG_NONE`

  No flags set.

  - Value: `0`
  - Available since: 1.0
`AS_DATA_ID_MATCH_FLAG_SCOPE`

  Scope, e.g. a `AsComponentScope`.

  - Value: `1`
  - Available since: 1.0
`AS_DATA_ID_MATCH_FLAG_BUNDLE_KIND`

  Bundle kind, e.g. a `AsBundleKind`.

  - Value: `2`
  - Available since: 1.0
`AS_DATA_ID_MATCH_FLAG_ORIGIN`

  Origin.

  - Value: `4`
  - Available since: 1.0
`AS_DATA_ID_MATCH_FLAG_ID`

  Component AppStream ID.

  - Value: `8`
  - Available since: 1.0
`AS_DATA_ID_MATCH_FLAG_BRANCH`

  Branch.

  - Value: `16`
  - Available since: 1.0